创建 bookingCustomQuestion
命名空间:microsoft.graph
创建新的 bookingCustomQuestion 对象。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | BookingsAppointment.ReadWrite.All、Bookings.ReadWrite.All、Bookings.Manage.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
POST /solutions/bookingBusinesses/{bookingBusinessesId}/customQuestions
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
| Content-Type | application/json. Required. |
请求正文
在请求正文中,提供 bookingCustomQuestion 对象的 JSON 表示形式。
您可以在创建 bookingCustomQuestion 时指定以下属性。
| 属性 | 类型 | Description |
|---|---|---|
| answerInputType | answerInputType | 预期的答案类型。 可能的值包括 text、radioButton、unknownFutureValue。 可选。 |
| answerOptions | 字符串集合 | 可能的答案值列表。 可选。 |
| displayName | String | 问题。 必需。 |
响应
如果成功,此方法在响应 201 Created 正文中返回 响应代码和 bookingCustomQuestion 对象。
示例
请求
POST https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/customQuestions/
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"displayName": "What is your age?",
"answerInputType": "text",
"answerOptions" : []
}
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"id": "3bc6fde0-4ad3-445d-ab17-0fc15dba0774",
"displayName": "What is your age?",
"answerInputType": "text",
"answerOptions": [],
}
反馈
提交和查看相关反馈